## LassoLibLogoutResponse

LassoLibLogoutResponse — <lib:LogoutResponse>

## Functions

LassoNode * | lasso_lib_logout_response_new ()
LassoNode * | lasso_lib_logout_response_new_full ()

## Types and Values

struct | LassoLibLogoutResponse

## Description

Figure 12. Schema fragment for lib:LogoutResponse

    <xs:element name="LogoutResponse" type="StatusResponseType"/>

## Functions

### lasso_lib_logout_response_new ()

    LassoNode *
    lasso_lib_logout_response_new (void);

Creates a new LassoLibLogoutResponse object.

#### Returns

a newly created LassoLibLogoutResponse object

### lasso_lib_logout_response_new_full ()

    LassoNode *
    lasso_lib_logout_response_new_full (char *providerID,
                                        const char *statusCodeValue,
                                        LassoLibLogoutRequest *request,
                                        LassoSignatureType sign_type,
                                        LassoSignatureMethod sign_method);

Creates a new LassoLibLogoutResponse object and initializes it with the parameters.

#### Parameters

providerID | the providerID of the responded |
statusCodeValue | a response status code |
request | the request this is a response to |
sign_type | a LassoSignatureType value |
sign_method | a LassoSignatureMethod value |

#### Returns

a newly created LassoLibLogoutResponse object

## Types and Values

### struct LassoLibLogoutResponse

    struct LassoLibLogoutResponse {
    	LassoLibStatusResponse parent;
    };